Bug 1419588 (CVE-2017-5840)

Summary: CVE-2017-5840 gstreamer-plugins-good: Out of bounds heap read in qtdemux_parse_samples
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: bdpepple, bmcclain, bnocera, cfergeau, dblechte, dkholia, eedri, fidencio, jgrulich, kseifried, lsurette, marcandre.lureau, mgoldboi, michal.skrivanek, mike, negativo17, otte, rbalakri, rh-spice-bugs, sherold, slawomir, srevivo, uraeus, victortoso, wtaymans, ykaul, ylavi
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: gstreamer1-plugins-good 1.10.3 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-02-08 09:00:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1419610, 1419608, 1419609, 1419611    
Bug Blocks: 1415638, 1419601    

Description Adam Mariš 2017-02-06 15:03:12 UTC
An out-of-bounds heap read was found in qtdemux_parse_samples that can be triggered by specially crafted file.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=777469

Upstream patches:

https://github.com/GStreamer/gst-plugins-good/commit/99d5d75
https://github.com/GStreamer/gst-plugins-good/commit/1ffef8b

CVE assignment:

http://seclists.org/oss-sec/2017/q1/284

Comment 1 Adam Mariš 2017-02-06 15:26:13 UTC
Created mingw-gstreamer1-plugins-good tracking bugs for this issue:

Affects: fedora-all [bug 1419611]

Comment 2 Adam Mariš 2017-02-06 15:26:32 UTC
Created mingw-gstreamer-plugins-good tracking bugs for this issue:

Affects: fedora-all [bug 1419610]

Comment 3 Adam Mariš 2017-02-06 15:26:46 UTC
Created gstreamer-plugins-good tracking bugs for this issue:

Affects: fedora-all [bug 1419608]

Comment 4 Adam Mariš 2017-02-06 15:27:03 UTC
Created gstreamer1-plugins-good tracking bugs for this issue:

Affects: fedora-all [bug 1419609]

Comment 6 errata-xmlrpc 2017-08-01 22:30:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2060 https://access.redhat.com/errata/RHSA-2017:2060